itpp::BSC Class Reference

A Binary Symetric Channel with crossover probability p. More...

`#include <itpp/comm/channel.h>`

## Public Member Functions

| BSC (double in_p=0.0)
| Class constructor. Sets the error probability to p.
void | set_prob (double in_p)
| Set crossover (bit error) probability.
double | get_prob () const
| Get crossover (bit error) probability.
bvec | operator() (const bvec &input)
| Feed input through the BSC channel.

## Detailed Description

A Binary Symetric Channel with crossover probability p.

Input and output are of type bvec with 0 and 1. Example:

#include <itpp/itcomm.h>
using namespace itpp;
int main() {
// Initiate the BSC with cross-over probability 0.1
BSC bsc(0.1);
bvec transmitted_bits = randb(100);
bvec received_bits = bsc(transmitted_bits);
}
itpp::Array
General array class.
Definition array.h:105
itpp::BSC
A Binary Symetric Channel with crossover probability p.
Definition channel.h:1038
itpp::randb
bin randb(void)
Generates a random bit (equally likely 0s and 1s)
Definition random.h:793
itcomm.h
Include file for the IT++ communications module.
itpp
itpp namespace
Definition itmex.h:37

Definition at line 1037 of file channel.h.

## Constructor & Destructor Documentation

## BSC()

itpp::BSC::BSC | ( | double | in_p = `0.0` | ) |

inline

Class constructor. Sets the error probability to p.

Definition at line 1041 of file channel.h.

## Member Function Documentation

## set_prob()

void itpp::BSC::set_prob | ( | double | in_p | ) |

inline

Set crossover (bit error) probability.

Definition at line 1043 of file channel.h.

## get_prob()

double itpp::BSC::get_prob | ( |  | ) | const

inline

Get crossover (bit error) probability.

Definition at line 1045 of file channel.h.

## operator()()

bvec itpp::BSC::operator() | ( | const bvec & | input | ) |

Feed input through the BSC channel.

Definition at line 1529 of file channel.cpp.

References itpp::Array< T >::length(), and itpp::length().

The documentation for this class was generated from the following files:

- itpp/comm/channel.h
- itpp/comm/channel.cpp

Generated on Mon Apr 22 2024 09:45:27 for IT++ by Doxygen 1.9.8